Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network255.112.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
255.112.0.0
Broadcast address
255.127.255.255
First usable
255.112.0.1
Last usable
255.127.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FF700000 · Integer 4285530112 to 4286578687
Reverse DNS zones
112.255.in-addr.arpa
113.255.in-addr.arpa
114.255.in-addr.arpa
115.255.in-addr.arpa
116.255.in-addr.arpa
117.255.in-addr.arpa
118.255.in-addr.arpa
119.255.in-addr.arpa
120.255.in-addr.arpa
121.255.in-addr.arpa
122.255.in-addr.arpa
123.255.in-addr.arpa
124.255.in-addr.arpa
125.255.in-addr.arpa
126.255.in-addr.arpa
127.255.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111111.01110000.00000000.00000000255.112.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network11111111.01110000.00000000.00000000255.112.0.0
Broadcast11111111.01111111.11111111.11111111255.127.255.255
Split into smaller subnets/19

255.112.0.0/12 makes 128 subnets of /19.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1255.112.0.0/19255.112.0.1 to 255.112.31.254255.112.31.2558,190
2255.112.32.0/19255.112.32.1 to 255.112.63.254255.112.63.2558,190
3255.112.64.0/19255.112.64.1 to 255.112.95.254255.112.95.2558,190
4255.112.96.0/19255.112.96.1 to 255.112.127.254255.112.127.2558,190
5255.112.128.0/19255.112.128.1 to 255.112.159.254255.112.159.2558,190
6255.112.160.0/19255.112.160.1 to 255.112.191.254255.112.191.2558,190
7255.112.192.0/19255.112.192.1 to 255.112.223.254255.112.223.2558,190
8255.112.224.0/19255.112.224.1 to 255.112.255.254255.112.255.2558,190
9255.113.0.0/19255.113.0.1 to 255.113.31.254255.113.31.2558,190
10255.113.32.0/19255.113.32.1 to 255.113.63.254255.113.63.2558,190
11255.113.64.0/19255.113.64.1 to 255.113.95.254255.113.95.2558,190
12255.113.96.0/19255.113.96.1 to 255.113.127.254255.113.127.2558,190
13255.113.128.0/19255.113.128.1 to 255.113.159.254255.113.159.2558,190
14255.113.160.0/19255.113.160.1 to 255.113.191.254255.113.191.2558,190
15255.113.192.0/19255.113.192.1 to 255.113.223.254255.113.223.2558,190
16255.113.224.0/19255.113.224.1 to 255.113.255.254255.113.255.2558,190
17255.114.0.0/19255.114.0.1 to 255.114.31.254255.114.31.2558,190
18255.114.32.0/19255.114.32.1 to 255.114.63.254255.114.63.2558,190
19255.114.64.0/19255.114.64.1 to 255.114.95.254255.114.95.2558,190
20255.114.96.0/19255.114.96.1 to 255.114.127.254255.114.127.2558,190
21255.114.128.0/19255.114.128.1 to 255.114.159.254255.114.159.2558,190
22255.114.160.0/19255.114.160.1 to 255.114.191.254255.114.191.2558,190
23255.114.192.0/19255.114.192.1 to 255.114.223.254255.114.223.2558,190
24255.114.224.0/19255.114.224.1 to 255.114.255.254255.114.255.2558,190
25255.115.0.0/19255.115.0.1 to 255.115.31.254255.115.31.2558,190
26255.115.32.0/19255.115.32.1 to 255.115.63.254255.115.63.2558,190
27255.115.64.0/19255.115.64.1 to 255.115.95.254255.115.95.2558,190
28255.115.96.0/19255.115.96.1 to 255.115.127.254255.115.127.2558,190
29255.115.128.0/19255.115.128.1 to 255.115.159.254255.115.159.2558,190
30255.115.160.0/19255.115.160.1 to 255.115.191.254255.115.191.2558,190
31255.115.192.0/19255.115.192.1 to 255.115.223.254255.115.223.2558,190
32255.115.224.0/19255.115.224.1 to 255.115.255.254255.115.255.2558,190
33255.116.0.0/19255.116.0.1 to 255.116.31.254255.116.31.2558,190
34255.116.32.0/19255.116.32.1 to 255.116.63.254255.116.63.2558,190
35255.116.64.0/19255.116.64.1 to 255.116.95.254255.116.95.2558,190
36255.116.96.0/19255.116.96.1 to 255.116.127.254255.116.127.2558,190
37255.116.128.0/19255.116.128.1 to 255.116.159.254255.116.159.2558,190
38255.116.160.0/19255.116.160.1 to 255.116.191.254255.116.191.2558,190
39255.116.192.0/19255.116.192.1 to 255.116.223.254255.116.223.2558,190
40255.116.224.0/19255.116.224.1 to 255.116.255.254255.116.255.2558,190
41255.117.0.0/19255.117.0.1 to 255.117.31.254255.117.31.2558,190
42255.117.32.0/19255.117.32.1 to 255.117.63.254255.117.63.2558,190
43255.117.64.0/19255.117.64.1 to 255.117.95.254255.117.95.2558,190
44255.117.96.0/19255.117.96.1 to 255.117.127.254255.117.127.2558,190
45255.117.128.0/19255.117.128.1 to 255.117.159.254255.117.159.2558,190
46255.117.160.0/19255.117.160.1 to 255.117.191.254255.117.191.2558,190
47255.117.192.0/19255.117.192.1 to 255.117.223.254255.117.223.2558,190
48255.117.224.0/19255.117.224.1 to 255.117.255.254255.117.255.2558,190
49255.118.0.0/19255.118.0.1 to 255.118.31.254255.118.31.2558,190
50255.118.32.0/19255.118.32.1 to 255.118.63.254255.118.63.2558,190
51255.118.64.0/19255.118.64.1 to 255.118.95.254255.118.95.2558,190
52255.118.96.0/19255.118.96.1 to 255.118.127.254255.118.127.2558,190
53255.118.128.0/19255.118.128.1 to 255.118.159.254255.118.159.2558,190
54255.118.160.0/19255.118.160.1 to 255.118.191.254255.118.191.2558,190
55255.118.192.0/19255.118.192.1 to 255.118.223.254255.118.223.2558,190
56255.118.224.0/19255.118.224.1 to 255.118.255.254255.118.255.2558,190
57255.119.0.0/19255.119.0.1 to 255.119.31.254255.119.31.2558,190
58255.119.32.0/19255.119.32.1 to 255.119.63.254255.119.63.2558,190
59255.119.64.0/19255.119.64.1 to 255.119.95.254255.119.95.2558,190
60255.119.96.0/19255.119.96.1 to 255.119.127.254255.119.127.2558,190
61255.119.128.0/19255.119.128.1 to 255.119.159.254255.119.159.2558,190
62255.119.160.0/19255.119.160.1 to 255.119.191.254255.119.191.2558,190
63255.119.192.0/19255.119.192.1 to 255.119.223.254255.119.223.2558,190
64255.119.224.0/19255.119.224.1 to 255.119.255.254255.119.255.2558,190
65255.120.0.0/19255.120.0.1 to 255.120.31.254255.120.31.2558,190
66255.120.32.0/19255.120.32.1 to 255.120.63.254255.120.63.2558,190
67255.120.64.0/19255.120.64.1 to 255.120.95.254255.120.95.2558,190
68255.120.96.0/19255.120.96.1 to 255.120.127.254255.120.127.2558,190
69255.120.128.0/19255.120.128.1 to 255.120.159.254255.120.159.2558,190
70255.120.160.0/19255.120.160.1 to 255.120.191.254255.120.191.2558,190
71255.120.192.0/19255.120.192.1 to 255.120.223.254255.120.223.2558,190
72255.120.224.0/19255.120.224.1 to 255.120.255.254255.120.255.2558,190
73255.121.0.0/19255.121.0.1 to 255.121.31.254255.121.31.2558,190
74255.121.32.0/19255.121.32.1 to 255.121.63.254255.121.63.2558,190
75255.121.64.0/19255.121.64.1 to 255.121.95.254255.121.95.2558,190
76255.121.96.0/19255.121.96.1 to 255.121.127.254255.121.127.2558,190
77255.121.128.0/19255.121.128.1 to 255.121.159.254255.121.159.2558,190
78255.121.160.0/19255.121.160.1 to 255.121.191.254255.121.191.2558,190
79255.121.192.0/19255.121.192.1 to 255.121.223.254255.121.223.2558,190
80255.121.224.0/19255.121.224.1 to 255.121.255.254255.121.255.2558,190
81255.122.0.0/19255.122.0.1 to 255.122.31.254255.122.31.2558,190
82255.122.32.0/19255.122.32.1 to 255.122.63.254255.122.63.2558,190
83255.122.64.0/19255.122.64.1 to 255.122.95.254255.122.95.2558,190
84255.122.96.0/19255.122.96.1 to 255.122.127.254255.122.127.2558,190
85255.122.128.0/19255.122.128.1 to 255.122.159.254255.122.159.2558,190
86255.122.160.0/19255.122.160.1 to 255.122.191.254255.122.191.2558,190
87255.122.192.0/19255.122.192.1 to 255.122.223.254255.122.223.2558,190
88255.122.224.0/19255.122.224.1 to 255.122.255.254255.122.255.2558,190
89255.123.0.0/19255.123.0.1 to 255.123.31.254255.123.31.2558,190
90255.123.32.0/19255.123.32.1 to 255.123.63.254255.123.63.2558,190
91255.123.64.0/19255.123.64.1 to 255.123.95.254255.123.95.2558,190
92255.123.96.0/19255.123.96.1 to 255.123.127.254255.123.127.2558,190
93255.123.128.0/19255.123.128.1 to 255.123.159.254255.123.159.2558,190
94255.123.160.0/19255.123.160.1 to 255.123.191.254255.123.191.2558,190
95255.123.192.0/19255.123.192.1 to 255.123.223.254255.123.223.2558,190
96255.123.224.0/19255.123.224.1 to 255.123.255.254255.123.255.2558,190
97255.124.0.0/19255.124.0.1 to 255.124.31.254255.124.31.2558,190
98255.124.32.0/19255.124.32.1 to 255.124.63.254255.124.63.2558,190
99255.124.64.0/19255.124.64.1 to 255.124.95.254255.124.95.2558,190
100255.124.96.0/19255.124.96.1 to 255.124.127.254255.124.127.2558,190
101255.124.128.0/19255.124.128.1 to 255.124.159.254255.124.159.2558,190
102255.124.160.0/19255.124.160.1 to 255.124.191.254255.124.191.2558,190
103255.124.192.0/19255.124.192.1 to 255.124.223.254255.124.223.2558,190
104255.124.224.0/19255.124.224.1 to 255.124.255.254255.124.255.2558,190
105255.125.0.0/19255.125.0.1 to 255.125.31.254255.125.31.2558,190
106255.125.32.0/19255.125.32.1 to 255.125.63.254255.125.63.2558,190
107255.125.64.0/19255.125.64.1 to 255.125.95.254255.125.95.2558,190
108255.125.96.0/19255.125.96.1 to 255.125.127.254255.125.127.2558,190
109255.125.128.0/19255.125.128.1 to 255.125.159.254255.125.159.2558,190
110255.125.160.0/19255.125.160.1 to 255.125.191.254255.125.191.2558,190
111255.125.192.0/19255.125.192.1 to 255.125.223.254255.125.223.2558,190
112255.125.224.0/19255.125.224.1 to 255.125.255.254255.125.255.2558,190
113255.126.0.0/19255.126.0.1 to 255.126.31.254255.126.31.2558,190
114255.126.32.0/19255.126.32.1 to 255.126.63.254255.126.63.2558,190
115255.126.64.0/19255.126.64.1 to 255.126.95.254255.126.95.2558,190
116255.126.96.0/19255.126.96.1 to 255.126.127.254255.126.127.2558,190
117255.126.128.0/19255.126.128.1 to 255.126.159.254255.126.159.2558,190
118255.126.160.0/19255.126.160.1 to 255.126.191.254255.126.191.2558,190
119255.126.192.0/19255.126.192.1 to 255.126.223.254255.126.223.2558,190
120255.126.224.0/19255.126.224.1 to 255.126.255.254255.126.255.2558,190
121255.127.0.0/19255.127.0.1 to 255.127.31.254255.127.31.2558,190
122255.127.32.0/19255.127.32.1 to 255.127.63.254255.127.63.2558,190
123255.127.64.0/19255.127.64.1 to 255.127.95.254255.127.95.2558,190
124255.127.96.0/19255.127.96.1 to 255.127.127.254255.127.127.2558,190
125255.127.128.0/19255.127.128.1 to 255.127.159.254255.127.159.2558,190
126255.127.160.0/19255.127.160.1 to 255.127.191.254255.127.191.2558,190
127255.127.192.0/19255.127.192.1 to 255.127.223.254255.127.223.2558,190
128255.127.224.0/19255.127.224.1 to 255.127.255.254255.127.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses